For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Keys

Get user API keys

get

Get all API keys for the authenticated user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

API keys retrieved successfully

application/json
get/api-keys
GET /api-keys HTTP/1.1
Host: hl-v2.pearprotocol.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "apiKeys": [
    {
      "id": "text",
      "name": "text",
      "isActive": true,
      "lastUsedAt": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Create API key

post

Create a new API key for the authenticated user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringOptional

Optional name for the API key

Example: Trading Bot Key
Responses
201

API key created successfully

application/json
idstringOptional
apiKeystringOptional
namestring Β· nullableOptional
createdAtstring Β· date-timeOptional
post/api-keys
POST /api-keys HTTP/1.1
Host: hl-v2.pearprotocol.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 26

{
  "name": "Trading Bot Key"
}
{
  "id": "text",
  "apiKey": "text",
  "name": "text",
  "createdAt": "2026-01-01T00:00:00.000Z"
}

Last updated